Mylyn-Mantis connector 3.11.0 released

It’s been a long time since I’ve pushed a release of the Mantis connector for Eclipse. I’m happy to say that I’ve gathered some fixes and a new release is now out.

This was mostly prompted by the MantisBT 2.0 release, which needed a small change in the plug-in to work as intended.

The full list of changes is below

  • Consider all versions older than 2.0 as valid
  • Add support for MantisBT 2.0
  • Add support for MantisBT version 2.0
  • Current version 3.10.1 cannot be installed with Eclipse Mars (4.5) Build id: 20150621-1200
  • Remove references to JBoss Tools from the update site
  • Investigate implementing new repository validation API for Mylyn >= 3.11

Another issue worth mentioning is that starting with this release you’ll see this warning dialog before completing the installation

mylyn-mantis-unsigned-content

Since I am no longer able to use a code signing certificate the plug-ins are not signed anymore. But that will not impact your experience besides this dialog.

As always, upgrade, have fun, and let me know if any issues appear via the user’s forum or by reporting bugs.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: